##
## THIS FILE IS UNDER PUPPET CONTROL. DON'T EDIT IT HERE.
## USE: git clone git+ssh://$USER@puppet.debian.org/srv/puppet.debian.org/git/dsa-puppet.git
##
package config;

use strict;
use warnings;

our %preupload = (
    # Check changes file for valid signatures.
    changes => [
<% if scope.call_function('versioncmp', [@lsbmajdistrelease, '12']) >= 0 -%>
        '/usr/share/dupload/openpgp-check %1',
<%- else -%>
        '/usr/share/dupload/gpg-check %1',
<%- end -%>
    ],
    sourcepackage => [] ,
    file => [],
    deb => [],
    package => [],
<% if scope.call_function('versioncmp', [@lsbmajdistrelease, '13']) >= 0 -%>
    host => [],
<%- end -%>
);

our %postupload = (
    changes => [],
    sourcepackage => [],
    file => [],
    deb => [],
    package => [],
<% if scope.call_function('versioncmp', [@lsbmajdistrelease, '13']) >= 0 -%>
    host => [],
<%- end -%>
);

our %cfg;

<% if scope.call_function('versioncmp', [@lsbmajdistrelease, '13']) >= 0 -%>
my $keyrings_buildd = [
        '/home/buildd/.gnupg/pubring.gpg',
];
<%- end -%>

# rsync upload to ssh.upload.debian.org
$cfg{'rsync-ftp-master'} = {
        method => "rsync",
        login => "buildd-uploader",
        fqdn => "ssh.upload.debian.org",
        incoming => "/srv/upload.debian.org/UploadQueue/",
<% if scope.call_function('versioncmp', [@lsbmajdistrelease, '13']) >= 0 -%>
        keyrings => $keyrings_buildd,
<%- end -%>
        # files pass on to dinstall on ftp-master which sends emails itself
        dinstall_runs => 1,
};

# rsync upload to ssh.security.upload.debian.org
$cfg{'rsync-security'} = {
        method => "rsync",
        login => "buildd-uploader",
        fqdn => "ssh.security.upload.debian.org",
        incoming => "/srv/security.upload.debian.org/SecurityUploadQueue/",
<% if scope.call_function('versioncmp', [@lsbmajdistrelease, '13']) >= 0 -%>
        keyrings => $keyrings_buildd,
<%- end -%>
        # files pass on to dinstall on ftp-master which sends emails itself
        dinstall_runs => 1,
};


# Don't remove the following line.  Perl needs it.
1;

## Local Variables: ##
## mode:perl ##
## End: ##
